play.classloading.enhancers

## Class PropertiesEnhancer.FieldAccessor

- java.lang.Object
- - play.classloading.enhancers.PropertiesEnhancer.FieldAccessor

- Enclosing class:
    PropertiesEnhancer

      public static class PropertiesEnhancer.FieldAccessor
      extends java.lang.Object

  Runtime part.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FieldAccessor()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.Object` | `invokeReadProperty(java.lang.Object o, java.lang.String property, java.lang.String targetType, java.lang.String invocationPoint)`
    `static void` | `invokeWriteProperty(java.lang.Object o, java.lang.String property, java.lang.Class<?> valueType, boolean value, java.lang.String targetType, java.lang.String invocationPoint)`
    `static void` | `invokeWriteProperty(java.lang.Object o, java.lang.String property, java.lang.Class<?> valueType, byte value, java.lang.String targetType, java.lang.String invocationPoint)`
    `static void` | `invokeWriteProperty(java.lang.Object o, java.lang.String property, java.lang.Class<?> valueType, char value, java.lang.String targetType, java.lang.String invocationPoint)`
    `static void` | `invokeWriteProperty(java.lang.Object o, java.lang.String property, java.lang.Class<?> valueType, double value, java.lang.String targetType, java.lang.String invocationPoint)`
    `static void` | `invokeWriteProperty(java.lang.Object o, java.lang.String property, java.lang.Class<?> valueType, float value, java.lang.String targetType, java.lang.String invocationPoint)`
    `static void` | `invokeWriteProperty(java.lang.Object o, java.lang.String property, java.lang.Class<?> valueType, int value, java.lang.String targetType, java.lang.String invocationPoint)`
    `static void` | `invokeWriteProperty(java.lang.Object o, java.lang.String property, java.lang.Class<?> valueType, long value, java.lang.String targetType, java.lang.String invocationPoint)`
    `static void` | `invokeWriteProperty(java.lang.Object o, java.lang.String property, java.lang.Class<?> valueType, java.lang.Object value, java.lang.String targetType, java.lang.String invocationPoint)`
    `static void` | `invokeWriteProperty(java.lang.Object o, java.lang.String property, java.lang.Class<?> valueType, short value, java.lang.String targetType, java.lang.String invocationPoint)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FieldAccessor

          public FieldAccessor()

  - ### Method Detail

    - #### invokeReadProperty

          public static java.lang.Object invokeReadProperty(java.lang.Object o,
                                                            java.lang.String property,
                                                            java.lang.String targetType,
                                                            java.lang.String invocationPoint)
                                                     throws java.lang.Throwable

      Throws:
        `java.lang.Throwable`

    - #### invokeWriteProperty

          public static void invokeWriteProperty(java.lang.Object o,
                                                 java.lang.String property,
                                                 java.lang.Class<?> valueType,
                                                 boolean value,
                                                 java.lang.String targetType,
                                                 java.lang.String invocationPoint)
                                          throws java.lang.Throwable

      Throws:
        `java.lang.Throwable`

    - #### invokeWriteProperty

          public static void invokeWriteProperty(java.lang.Object o,
                                                 java.lang.String property,
                                                 java.lang.Class<?> valueType,
                                                 byte value,
                                                 java.lang.String targetType,
                                                 java.lang.String invocationPoint)
                                          throws java.lang.Throwable

      Throws:
        `java.lang.Throwable`

    - #### invokeWriteProperty

          public static void invokeWriteProperty(java.lang.Object o,
                                                 java.lang.String property,
                                                 java.lang.Class<?> valueType,
                                                 char value,
                                                 java.lang.String targetType,
                                                 java.lang.String invocationPoint)
                                          throws java.lang.Throwable

      Throws:
        `java.lang.Throwable`

    - #### invokeWriteProperty

          public static void invokeWriteProperty(java.lang.Object o,
                                                 java.lang.String property,
                                                 java.lang.Class<?> valueType,
                                                 double value,
                                                 java.lang.String targetType,
                                                 java.lang.String invocationPoint)
                                          throws java.lang.Throwable

      Throws:
        `java.lang.Throwable`

    - #### invokeWriteProperty

          public static void invokeWriteProperty(java.lang.Object o,
                                                 java.lang.String property,
                                                 java.lang.Class<?> valueType,
                                                 float value,
                                                 java.lang.String targetType,
                                                 java.lang.String invocationPoint)
                                          throws java.lang.Throwable

      Throws:
        `java.lang.Throwable`

    - #### invokeWriteProperty

          public static void invokeWriteProperty(java.lang.Object o,
                                                 java.lang.String property,
                                                 java.lang.Class<?> valueType,
                                                 int value,
                                                 java.lang.String targetType,
                                                 java.lang.String invocationPoint)
                                          throws java.lang.Throwable

      Throws:
        `java.lang.Throwable`

    - #### invokeWriteProperty

          public static void invokeWriteProperty(java.lang.Object o,
                                                 java.lang.String property,
                                                 java.lang.Class<?> valueType,
                                                 long value,
                                                 java.lang.String targetType,
                                                 java.lang.String invocationPoint)
                                          throws java.lang.Throwable

      Throws:
        `java.lang.Throwable`

    - #### invokeWriteProperty

          public static void invokeWriteProperty(java.lang.Object o,
                                                 java.lang.String property,
                                                 java.lang.Class<?> valueType,
                                                 short value,
                                                 java.lang.String targetType,
                                                 java.lang.String invocationPoint)
                                          throws java.lang.Throwable

      Throws:
        `java.lang.Throwable`

    - #### invokeWriteProperty

          public static void invokeWriteProperty(java.lang.Object o,
                                                 java.lang.String property,
                                                 java.lang.Class<?> valueType,
                                                 java.lang.Object value,
                                                 java.lang.String targetType,
                                                 java.lang.String invocationPoint)
                                          throws java.lang.Throwable

      Throws:
        `java.lang.Throwable`

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly